Subject: rafflesia arnoldi

From: [email-masked] (Vanacore44)
Date: 4 May 1996 11:58:22 -0400

To Whom it may cocern:
     I am a high school student and have been working on a biology
project.  I chose Rafflesia Arnoldi which has proved to be more of a
challenge than I expected.  I read in numerous sources that it is the
worlds largest flower.  In an encyclopedia called Plants and Earth
Sciences it states that only the reproductive structures of the plant are
recognizably angiospermous.  It goes on to say that it has no true roots,
stems, or leaves, and that it has a mycelium which leads me to believe
that it is a fungus.  In an article in International Wildlife called
"Ka-Bloom" it says that the Rafflesia arnoldi is a distant relative of the
rose.  I am very confused and wondering if this plant is a flower or
fungus.  Have I found incorrect information orjust not enough info?  I
would appreciate any information you can give me.  I am especially looking
for a labled diagram of the Rafflesia arnoldi.  Anything you can give me
would be greatly appreciated.  Please respond privately.

                  e-mail adress - [email-masked]